Package io.dapr.v1

# Interface DaprProtos.GetStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetStateRequest`, `DaprProtos.GetStateRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetStateRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata which will be sent to state store components.
`CommonProtos.StateOptions.StateConsistency`
`getConsistency()`
The read consistency of the state store.
`int`
`getConsistencyValue()`
The read consistency of the state store.
`String`
`getKey()`
The key of the desired state
`com.google.protobuf.ByteString`
`getKeyBytes()`
The key of the desired state
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata which will be sent to state store components.
`Map<String,String>`
`getMetadataMap()`
The metadata which will be sent to state store components.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata which will be sent to state store components.
`String`
`getMetadataOrThrow(String key)`
The metadata which will be sent to state store components.
`String`
`getStoreName()`
The name of state store.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
The name of state store.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getStoreName

String getStoreName()

     The name of state store.

`string store_name = 1;`

Returns:
  The storeName.

### getStoreNameBytes

com.google.protobuf.ByteString getStoreNameBytes()

     The name of state store.

`string store_name = 1;`

Returns:
  The bytes for storeName.

### getKey

String getKey()

     The key of the desired state

`string key = 2;`

Returns:
  The key.

### getKeyBytes

com.google.protobuf.ByteString getKeyBytes()

     The key of the desired state

`string key = 2;`

Returns:
  The bytes for key.

### getConsistencyValue

int getConsistencyValue()

     The read consistency of the state store.

`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`

Returns:
  The enum numeric value on the wire for consistency.

### getConsistency

CommonProtos.StateOptions.StateConsistency getConsistency()

     The read consistency of the state store.

`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`

Returns:
  The consistency.

### getMetadataCount

int getMetadataCount()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata which will be sent to state store components.

`map<string, string> metadata = 4;`